GET /v1/Services/{ChatServiceSid}/Conversations

twilio.com:twilio_conversations_v1

Summary:
Operation ID: ListServiceConversation
Auth: unknown
Description

Retrieve a list of conversations in your service

Parameters (7)

ChatServiceSid (string, path, required)

The SID of the [Conversation Service](https://www.twilio.com/docs/conversations/api/service-resource) the Conversation resource is associated with.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^IS[0-9a-fA-F]{32}$'}

EndDate (string, query, optional)

End date or time in ISO8601 format for filtering list of Conversations. If a date is provided, the end time of the date is used (YYYY-MM-DDT23:59:59Z). Can be combined with other filters.

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

StartDate (string, query, optional)

Start date or time in ISO8601 format for filtering list of Conversations. If a date is provided, the start time of the date is used (YYYY-MM-DDT00:00:00Z). Can be combined with other filters.

State (string, query, optional)

State for sorting and filtering list of Conversations. Can be `active`, `inactive` or `closed`

No probe data for this endpoint yet.